ActaParserInternal::Printing Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
ActaParserInternal::Printing Struct Reference

Internal: class used to store the printing preferences in ActaParser. More...

## Public Member Functions
| Printing ()
| constructor More...
bool | isEmpty () const
| returns true if the header is empty More...
bool | operator== (Printing const &print) const
| operator== More...
bool | operator!= (Printing const &print) const
| operator=! More...

## Public Attributes
MWAWFont | m_font
| the font More...
int | m_flags [2]
| the flags More...

## Friends
std::ostream & | operator<< (std::ostream &o, Printing const &print)
| operator<< More...

## Detailed Description

Internal: class used to store the printing preferences in ActaParser.

## Constructor & Destructor Documentation

ActaParserInternal::Printing::Printing | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool ActaParserInternal::Printing::isEmpty | ( |  | ) | const
| inline

returns true if the header is empty

bool ActaParserInternal::Printing::operator!= | ( | Printing const & | print | ) | const
| inline

operator=!

bool ActaParserInternal::Printing::operator== | ( | Printing const & | print | ) | const
| inline

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Printing const & | print
| ) |  |
| friend

operator<<

## Member Data Documentation

int ActaParserInternal::Printing::m_flags[2]

the flags

Referenced by isEmpty(), operator==(), Printing(), ActaParser::readHFProperties(), and ActaParser::sendHeaderFooter().

MWAWFont ActaParserInternal::Printing::m_font

the font

Referenced by operator==(), ActaParser::readHFProperties(), and ActaParser::sendHeaderFooter().

The documentation for this struct was generated from the following file:

- ActaParser.cxx